<!DOCTYPE html>
<html>
<head>
    <title>Viewer Page</title>
    <link rel="stylesheet" href="style.css">
</head>
<body style="font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;" id="main">
    <div id="app" class="full-height"></div>
    <script src="https://extension-files.twitch.tv/helper/v1/twitch-ext.min.js"></script>
    <script src="jquery-3.3.1.min.js"></script>
    <script src="viewer.js" type="text/javascript"></script>
    <div id="dynamic-view">
        <div class="default-view">
            <p>En attente du prochain vote...</p>
        </div>
    </div>
    <div id="timer-bar"></div>
    <script>
        setupWS();
    </script>
    <script src="https://unpkg.com/mustache@latest"></script>
    <script id="question-template" type="x-tmpl-mustache">
        <div class="question">
            <h2>{{ title }}</h2>
            <form>
                {{ #responses }}
                <div class="resp">
                    <input type="radio" name="response" value="{{ num_response }}" id="{{ num_response }}">
                    <label for="{{ num_response }}">{{ response }}</label>
                </div>
                {{ /responses }}
            </form>
            <button onclick="vote()">Envoyer</button>
        </div>
    </script>
    <script id="loading-template" type="x-tmpl-mustache">
        <div class="loader">
            <p>Chargement...</p>
        </div>
    </script>
    <script id="vote-success-template" type="x-tmpl-mustache">
        <div class="vote-success">
            <p>Votre vote a bien été pris en compte !</p>
        </div>
    </script>
    <script id="default-view-template" type="x-tmpl-mustache">
        <div class="default-view">
            <p>En attente du prochain vote...</p>
        </div>
    </script>
    <script id="error-view-template" type="x-tmpl-mustache">
        <div class="error-view">
            <p>Une erreur s'est produite ¯\_(ツ)_/¯</p>
        </div>
    </script>
</body>
</html>
